summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2006-10-05 08:43:24 +0000
committerJim Meyering <jim@meyering.net>2006-10-05 08:43:24 +0000
commitd78ad5caccb4018d4eb833b43d17a417d4e7dc28 (patch)
treed9f2b0596e03f7b1448fb94804fc4e7afba1c3be
parentc5bccf11cc7e4d05f09e726ee9d2afffe00b3309 (diff)
downloadcoreutils-d78ad5caccb4018d4eb833b43d17a417d4e7dc28.tar.xz
* tests/install/basic-1: Skip the latter part of this test if the
just-built dd binary is not readable. Otherwise, this test would fail when binaries were created as root. Reported by Bauke Jan Douma in <http://article.gmane.org/gmane.comp.gnu.core-utils.bugs/8433>.
-rw-r--r--ChangeLog7
-rwxr-xr-xtests/install/basic-115
2 files changed, 21 insertions, 1 deletions
diff --git a/ChangeLog b/ChangeLog
index 5458cc6de..1ebe1cdd4 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,10 @@
+2006-10-05 Jim Meyering <jim@meyering.net>
+
+ * tests/install/basic-1: Skip the latter part of this test if the
+ just-built dd binary is not readable. Otherwise, this test would fail
+ when binaries were created as root. Reported by Bauke Jan Douma in
+ <http://article.gmane.org/gmane.comp.gnu.core-utils.bugs/8433>.
+
2006-10-03 Paul Eggert <eggert@cs.ucla.edu>
* src/system.h (ST_BLKSIZE): Ceiling at SIZE_MAX / 8 + 1, not at 4
diff --git a/tests/install/basic-1 b/tests/install/basic-1
index 9c7d106ad..55f0b511c 100755
--- a/tests/install/basic-1
+++ b/tests/install/basic-1
@@ -58,7 +58,20 @@ test -f $dir/$file || fail=1
# Make sure strip works.
dd=dd$EXEEXT
dd2=dd2$EXEEXT
-cp $pwd/../../src/$dd . || fail=1
+
+just_built_dd=$pwd/../../src/$dd
+
+test -r $just_built_dd || \
+ {
+ cat 1>&2 <<EOF
+$0: WARNING!!!
+Your just-built dd binary, $just_built_dd
+is not readable, so skipping the remaining tests in this file.
+EOF
+ exit 77
+ }
+
+cp $just_built_dd . || fail=1
cp $dd $dd2 || fail=1
strip $dd2 || \